image: "python:3.6"

services:
  - postgres:12.2-alpine

variables:
  POSTGRES_DB: test_exercice
  POSTGRES_USER: plb
  POSTGRES_PASSWORD: plbpwd
  POSTGRES_HOST_AUTH_METHOD: trust

stages:
  - test

test:
  stage: test
  script:
  - apt-get update -qy
  - python -m pip install pipenv
  - pipenv install
  - pipenv run pytest -v
